Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Problema aggiornamento pacchetti
#1
Ciao... mi è comparsa sulla barra delle notifiche (in alto a dx) un simbolino tipo questo:

[Immagine: http://www.autoscuolafutura.com/055.gif]

ho cercato il problema e nel gestore degli aggiornamenti mi viene fuori il seguente errore:

I seguenti pacchetti presentano dipendenze non soddisfatte:

libreoffice-help-en-us: libreoffice-help-it: wine:


cosa posso fare per risolvere il problema?

(ubuntu 12.04 64 bit remix plus)
Cita messaggio
#2
apri synaptic, metti nella casella ricerca il singolo pacchetto, selezionalo, tasto destro del mouse, proprietà, dipendenze. segnati i pacchetti e verifica sempre in synaptic che siano installati. se non lo sono, installali.
ciao
 Trasferito sul Nuovo Forum [img]images/smilies/blush.gif[/img]
Cita messaggio
#3
Prova a dare:
Codice:
sudo apt-get install -f
Per info su apt-get
dai:
Codice:
man apt-get
Cita messaggio
#4
(20-08-2012, 18:36 )fuffa Ha scritto: Prova a dare:
Codice:
sudo apt-get install -f
Per info su apt-get
dai:
Codice:
man apt-get

Dimenticavo, dopo dai:

Codice:
sudo apt-get update

E vedi se ti da ancora errori.

In caso positivo dai anche:

Codice:
sudo apt-get dist-upgrade

(Va bene upgrade ma se ci sono aggiornamenti dei kernel li mette con dist-upgrade)

Ciao
Cita messaggio
#5
(20-08-2012, 19:25 )fuffa Ha scritto: Dimenticavo, dopo dai:

Codice:
sudo apt-get update

E vedi se ti da ancora errori.

In caso positivo dai anche:

Codice:
sudo apt-get dist-upgrade

(Va bene upgrade ma se ci sono aggiornamenti dei kernel li mette con dist-upgrade)

Ciao

fuffa, io ci andrei piano con il comando dist-upgrade. ricordiamoci che ci sono solo delle dipendenze non soddisfatte...
 Trasferito sul Nuovo Forum [img]images/smilies/blush.gif[/img]
Cita messaggio
#6
(20-08-2012, 21:36 )giuscassr Ha scritto: fuffa, io ci andrei piano con il comando dist-upgrade. ricordiamoci che ci sono solo delle dipendenze non soddisfatte...

Infatti
Codice:
sudo apt-get install -f
serve ad "aggiustare" le dipendenze non risolte Smile
Quello ho detto...
Cita messaggio
#7
su install -f non ho fatto alcun commento
 Trasferito sul Nuovo Forum [img]images/smilies/blush.gif[/img]
Cita messaggio
#8
(20-08-2012, 21:54 )giuscassr Ha scritto: su install -f non ho fatto alcun commento

Continnuo a non comprendere cosa dici, ovviamente ho detto cosa fare per le dipendenze non soddisfatte e ovviamente per vedere che si sia sistemato il tutto bisogna dare: update e poi upgrade.

Ho approfittato anche per spiegare la differenza fra upgrade e dist-upgrade

Quindi? Cosa vuoi dire?

Spero solo @stinit risolva.

Saluti!
Cita messaggio
#9
voglio dire, e spero che anche tu condivida questo pensiero, che è meglio essere prudenti quando si postano dei comandi che altri membri del forum, possibilmente meno avvezzi al terminale, possono copiare/incollare. io per esempio, non avevo capito che stavi spiegando la differenza fra i due comandi.
un caro saluto anche da parte mia.
 Trasferito sul Nuovo Forum [img]images/smilies/blush.gif[/img]
Cita messaggio
#10
I comando di cui parla giuscassr è:

sudo apt-get dist-upgrade

che porta ad un avanzamento di versione.

Magari un utente ha la 11.10 che gli piace e vuole tenere e non vuole passare alla 12.04. Se non conosce cosa produce il comando, ecco che si ritrova, suo malgrado e senza volerlo, con la versione 12.04.

Pertanto, il consiglio è: visto che non tutti gli utenti conoscono la portata dei comandi, nel caso di comandi che producono azioni notevoli e radicali, è bene dire chiaramente cosa produrrà il comando.

Grazie.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)